Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface NativeComponent

    org.gradle.nativebinaries.NativeComponent
      org.gradle.api.Named

All Superinterfaces:
  Named

    @Incubating
    public interface NativeComponent
    extends Named

Represents a logical software component, which may be built in a number of variant binaries.

Method Summary
`void` | `flavors(Action config)` Configure the flavors for this component.
`String` | `getBaseName()` The name that is used to construct the output file names when building this component.
`DomainObjectSet` | `getBinaries()` The binaries that are built for this component.
`FlavorContainer` | `getFlavors()` The set of flavors defined for this component.
`DomainObjectSet` | `getSource()` The source sets that are used to build this component.
`void` | `setBaseName(String baseName)` Sets the name that is used to construct the output file names when building this component.
`void` | `source(Object source)` Adds one or more LanguageSourceSets that are used to compile this binary.

Methods inherited from interface Named
getName

Method Detail

### flavors

    public void flavors(Action config)

  Configure the flavors for this component.

### getBaseName

    public String getBaseName()

  The name that is used to construct the output file names when building this component.

### getBinaries

    public DomainObjectSet getBinaries()

  The binaries that are built for this component. You can use this to configure the binaries for this component.

### getFlavors

    public FlavorContainer getFlavors()

  The set of flavors defined for this component. All components automatically have a default flavor named "default".

### getSource

    public DomainObjectSet getSource()

  The source sets that are used to build this component.

### setBaseName

    public void setBaseName(String baseName)

  Sets the name that is used to construct the output file names when building this component.

### source

    public void source(Object source)

  Adds one or more LanguageSourceSets that are used to compile this binary.

  This method accepts the following types:
  - A FunctionalSourceSet
  - A LanguageSourceSet
  - A Collection of LanguageSourceSets

Gradle API 1.10